# IO.Swagger..ReviewSitesApi

All URIs are relative to *https://reputationcrm.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetAllReviewSitesByUserName**](ReviewSitesApi.md#getallreviewsitesbyusername) | **GET** /getAllReviewSitesByUserName | Get all review sites of an account
[**GetAllReviewSitesBycompanyId**](ReviewSitesApi.md#getallreviewsitesbycompanyid) | **GET** /getAllReviewSitesBycompanyId | Get all review sites of a company


<a name="getallreviewsitesbyusername"></a>
# **GetAllReviewSitesByUserName**
> List<ReviewSites> GetAllReviewSitesByUserName (string username)

Get all review sites of an account

Get all review sites of an account

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetAllReviewSitesByUserNameExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewSitesApi();
            var username = username_example;  // string | User Name or Email address

            try
            {
                // Get all review sites of an account
                List&lt;ReviewSites&gt; result = apiInstance.GetAllReviewSitesByUserName(username);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewSitesApi.GetAllReviewSitesByUserName: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **string**| User Name or Email address | 

### Return type

[**List<ReviewSites>**](ReviewSites.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getallreviewsitesbycompanyid"></a>
# **GetAllReviewSitesBycompanyId**
> List<ReviewSites> GetAllReviewSitesBycompanyId (string companyid)

Get all review sites of a company

Get all review sites of a company

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetAllReviewSitesBycompanyIdExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewSitesApi();
            var companyid = companyid_example;  // string | Company ID

            try
            {
                // Get all review sites of a company
                List&lt;ReviewSites&gt; result = apiInstance.GetAllReviewSitesBycompanyId(companyid);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewSitesApi.GetAllReviewSitesBycompanyId: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **string**| Company ID | 

### Return type

[**List<ReviewSites>**](ReviewSites.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

