# IO.Swagger..ReviewsStatsApi

All URIs are relative to *https://reputationcrm.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetNumberOfReviewsPostedInLastDaysByCompanyId**](ReviewsStatsApi.md#getnumberofreviewspostedinlastdaysbycompanyid) | **GET** /getNumberOfReviewsPostedInLastDaysByCompanyId | Get total reviews received for each review site
[**GetNumberOfReviewsRequiredToAchieve5StarByCompanyId**](ReviewsStatsApi.md#getnumberofreviewsrequiredtoachieve5starbycompanyid) | **GET** /getNumberOfReviewsRequiredToAchieve5StarByCompanyId | Get for ALL Review Sites the number of 5-star Feedback / Reviews needed to achieve a 5-star Customer Experience 
[**GetOverallRatingAndReviewCountForPlatformReviewsByCompanyId**](ReviewsStatsApi.md#getoverallratingandreviewcountforplatformreviewsbycompanyid) | **GET** /getOverallRatingAndReviewCountForPlatformReviewsByCompanyId | Get The Overall Rating and Total Review Count of a Company / Location for platform collected reviews  
[**GetOverallRatingForEachReviewSiteByCompanyId**](ReviewsStatsApi.md#getoverallratingforeachreviewsitebycompanyid) | **GET** /getOverallRatingForEachReviewSiteByCompanyId | Get overall rating for each review site
[**GetOverallRatingOfCompanyByCompanyId**](ReviewsStatsApi.md#getoverallratingofcompanybycompanyid) | **GET** /getOverallRatingOfCompanyByCompanyId | Get The Overall Rating of a Company / Location / Feedback Page 
[**GetOverallReputationChangeOfAllReviewSitesByCompanyId**](ReviewsStatsApi.md#getoverallreputationchangeofallreviewsitesbycompanyid) | **GET** /getOverallReputationChangeOfAllReviewSitesByCompanyId | Get the Overall Reputation Increase / Decrease of ALL Review Sites 
[**GetTotalReviewsReceivedForEachReviewSiteByCompanyId**](ReviewsStatsApi.md#gettotalreviewsreceivedforeachreviewsitebycompanyid) | **GET** /getTotalReviewsReceivedForEachReviewSiteByCompanyId | Get total reviews received for each review site


<a name="getnumberofreviewspostedinlastdaysbycompanyid"></a>
# **GetNumberOfReviewsPostedInLastDaysByCompanyId**
> List<ReviewSitesReviewCount> GetNumberOfReviewsPostedInLastDaysByCompanyId (string companyid, string lastHowManyDays)

Get total reviews received for each review site

Get total reviews received for each review site

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetNumberOfReviewsPostedInLastDaysByCompanyIdExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewsStatsApi();
            var companyid = companyid_example;  // string | Company ID
            var lastHowManyDays = lastHowManyDays_example;  // string | Last how many days

            try
            {
                // Get total reviews received for each review site
                List&lt;ReviewSitesReviewCount&gt; result = apiInstance.GetNumberOfReviewsPostedInLastDaysByCompanyId(companyid, lastHowManyDays);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewsStatsApi.GetNumberOfReviewsPostedInLastDaysByCompanyId: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **string**| Company ID | 
 **lastHowManyDays** | **string**| Last how many days | 

### Return type

[**List<ReviewSitesReviewCount>**](ReviewSitesReviewCount.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getnumberofreviewsrequiredtoachieve5starbycompanyid"></a>
# **GetNumberOfReviewsRequiredToAchieve5StarByCompanyId**
> List<ReviewSitesReviewCount> GetNumberOfReviewsRequiredToAchieve5StarByCompanyId (string companyid)

Get for ALL Review Sites the number of 5-star Feedback / Reviews needed to achieve a 5-star Customer Experience 

This API call returns for each Review Site of a Company / Location / Feedback Page, the total number of 5-star Feedback / Reviews that the Company / Location needs, to achieve a 5-star Customer Experience. (NOTE: Most Review Sites display a 5-star image when the Overall Rating of a Company / Location is above 4.51. We decided to work as they do and we display a 5-star image for any Overall Rating above 4.51). URL: https://reputationcrm.com/reputation-control    Please refer this image for more information   https://reputationcrm.com/api/repcrm-api-img/NumberOfReviewsRequiredToAchieve5Star.jpg 

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetNumberOfReviewsRequiredToAchieve5StarByCompanyIdExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewsStatsApi();
            var companyid = companyid_example;  // string | Company ID

            try
            {
                // Get for ALL Review Sites the number of 5-star Feedback / Reviews needed to achieve a 5-star Customer Experience 
                List&lt;ReviewSitesReviewCount&gt; result = apiInstance.GetNumberOfReviewsRequiredToAchieve5StarByCompanyId(companyid);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewsStatsApi.GetNumberOfReviewsRequiredToAchieve5StarByCompanyId: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **string**| Company ID | 

### Return type

[**List<ReviewSitesReviewCount>**](ReviewSitesReviewCount.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getoverallratingandreviewcountforplatformreviewsbycompanyid"></a>
# **GetOverallRatingAndReviewCountForPlatformReviewsByCompanyId**
> List<OverallRatingAndReviewCount> GetOverallRatingAndReviewCountForPlatformReviewsByCompanyId (string companyid)

Get The Overall Rating and Total Review Count of a Company / Location for platform collected reviews  

Get The Overall Rating and Total Review Count of a Company / Location for platform collected reviews. The number (from 1.00 to 5.00) includes only platform collected reviews.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetOverallRatingAndReviewCountForPlatformReviewsByCompanyIdExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewsStatsApi();
            var companyid = companyid_example;  // string | Company ID

            try
            {
                // Get The Overall Rating and Total Review Count of a Company / Location for platform collected reviews  
                List&lt;OverallRatingAndReviewCount&gt; result = apiInstance.GetOverallRatingAndReviewCountForPlatformReviewsByCompanyId(companyid);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewsStatsApi.GetOverallRatingAndReviewCountForPlatformReviewsByCompanyId: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **string**| Company ID | 

### Return type

[**List<OverallRatingAndReviewCount>**](OverallRatingAndReviewCount.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getoverallratingforeachreviewsitebycompanyid"></a>
# **GetOverallRatingForEachReviewSiteByCompanyId**
> List<ReviewSitesRating> GetOverallRatingForEachReviewSiteByCompanyId (string companyid)

Get overall rating for each review site

Get overall rating for each review site

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetOverallRatingForEachReviewSiteByCompanyIdExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewsStatsApi();
            var companyid = companyid_example;  // string | Company ID

            try
            {
                // Get overall rating for each review site
                List&lt;ReviewSitesRating&gt; result = apiInstance.GetOverallRatingForEachReviewSiteByCompanyId(companyid);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewsStatsApi.GetOverallRatingForEachReviewSiteByCompanyId: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **string**| Company ID | 

### Return type

[**List<ReviewSitesRating>**](ReviewSitesRating.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getoverallratingofcompanybycompanyid"></a>
# **GetOverallRatingOfCompanyByCompanyId**
> List<OverallCompanyRating> GetOverallRatingOfCompanyByCompanyId (string companyid)

Get The Overall Rating of a Company / Location / Feedback Page 

This API call returns the Overall Rating of a Company / Location / Feedback Page. The number (from 1.00 to 5.00) includes all Feedback / Reviews of a Company / Location / Feedback Page. URL: https://reputationcrm.com/reputation-control    Please refer https://reputationcrm.com/api/repcrm-api-img/OverallCompanyRating.jpg for more information 

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetOverallRatingOfCompanyByCompanyIdExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewsStatsApi();
            var companyid = companyid_example;  // string | Company ID

            try
            {
                // Get The Overall Rating of a Company / Location / Feedback Page 
                List&lt;OverallCompanyRating&gt; result = apiInstance.GetOverallRatingOfCompanyByCompanyId(companyid);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewsStatsApi.GetOverallRatingOfCompanyByCompanyId: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **string**| Company ID | 

### Return type

[**List<OverallCompanyRating>**](OverallCompanyRating.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getoverallreputationchangeofallreviewsitesbycompanyid"></a>
# **GetOverallReputationChangeOfAllReviewSitesByCompanyId**
> List<ReviewSitesReputationChange> GetOverallReputationChangeOfAllReviewSitesByCompanyId (string companyid)

Get the Overall Reputation Increase / Decrease of ALL Review Sites 

This API call returns for each Review Site of a Company / Location / Feedback Page, the Overall Reputation Increase / Decrease of the last 30 days compared to the previous month (31-60 days). 0 means no change: most likely, no new Feedback / Reviews were posted in the past 60 days, or the same number of Feedback / Reviews were posted in the last 30 days compared to the last 31-60 days period. A negative percentage means that the Overall Reputation has suffered. Finally, a positive percentage means an improvement in the Overall Reputation of the Company / Location / Feedback Page. URL: https://reputationcrm.com/reputation-control     Please refer https://reputationcrm.com/api/repcrm-api-img/ReputationChangeInTheLastMonth.jpg for more information 

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetOverallReputationChangeOfAllReviewSitesByCompanyIdExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewsStatsApi();
            var companyid = companyid_example;  // string | Company ID

            try
            {
                // Get the Overall Reputation Increase / Decrease of ALL Review Sites 
                List&lt;ReviewSitesReputationChange&gt; result = apiInstance.GetOverallReputationChangeOfAllReviewSitesByCompanyId(companyid);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewsStatsApi.GetOverallReputationChangeOfAllReviewSitesByCompanyId: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **string**| Company ID | 

### Return type

[**List<ReviewSitesReputationChange>**](ReviewSitesReputationChange.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="gettotalreviewsreceivedforeachreviewsitebycompanyid"></a>
# **GetTotalReviewsReceivedForEachReviewSiteByCompanyId**
> List<ReviewSitesReviewCount> GetTotalReviewsReceivedForEachReviewSiteByCompanyId (string companyid)

Get total reviews received for each review site

Get total reviews received for each review site

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetTotalReviewsReceivedForEachReviewSiteByCompanyIdExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewsStatsApi();
            var companyid = companyid_example;  // string | Company ID

            try
            {
                // Get total reviews received for each review site
                List&lt;ReviewSitesReviewCount&gt; result = apiInstance.GetTotalReviewsReceivedForEachReviewSiteByCompanyId(companyid);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewsStatsApi.GetTotalReviewsReceivedForEachReviewSiteByCompanyId: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **string**| Company ID | 

### Return type

[**List<ReviewSitesReviewCount>**](ReviewSitesReviewCount.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

