using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class Customer {
    /// <summary>
    /// Customer ID
    /// </summary>
    /// <value>Customer ID</value>
    [DataMember(Name="customerID", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "customerID")]
    public string CustomerID { get; set; }

    /// <summary>
    /// Compnay ID
    /// </summary>
    /// <value>Compnay ID</value>
    [DataMember(Name="companyid", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "companyid")]
    public string Companyid { get; set; }

    /// <summary>
    /// Customer First Name
    /// </summary>
    /// <value>Customer First Name</value>
    [DataMember(Name="firstname", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "firstname")]
    public string Firstname { get; set; }

    /// <summary>
    /// Customer Last Name
    /// </summary>
    /// <value>Customer Last Name</value>
    [DataMember(Name="lastname", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "lastname")]
    public string Lastname { get; set; }

    /// <summary>
    /// Customer Mobile Phone
    /// </summary>
    /// <value>Customer Mobile Phone</value>
    [DataMember(Name="mobile", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "mobile")]
    public string Mobile { get; set; }

    /// <summary>
    /// Customer Email
    /// </summary>
    /// <value>Customer Email</value>
    [DataMember(Name="email", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "email")]
    public string Email { get; set; }

    /// <summary>
    /// Email health status
    /// </summary>
    /// <value>Email health status</value>
    [DataMember(Name="emailStatus", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "emailStatus")]
    public string EmailStatus { get; set; }

    /// <summary>
    /// Is email from free provider ?
    /// </summary>
    /// <value>Is email from free provider ?</value>
    [DataMember(Name="isFreeEmail", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "isFreeEmail")]
    public string IsFreeEmail { get; set; }

    /// <summary>
    /// Is email corrected ?
    /// </summary>
    /// <value>Is email corrected ?</value>
    [DataMember(Name="isTypoFixed", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "isTypoFixed")]
    public string IsTypoFixed { get; set; }

    /// <summary>
    /// Customer Postal Address
    /// </summary>
    /// <value>Customer Postal Address</value>
    [DataMember(Name="address", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "address")]
    public string Address { get; set; }

    /// <summary>
    /// Customer Zipcode
    /// </summary>
    /// <value>Customer Zipcode</value>
    [DataMember(Name="zipcode", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "zipcode")]
    public string Zipcode { get; set; }

    /// <summary>
    /// Customer City
    /// </summary>
    /// <value>Customer City</value>
    [DataMember(Name="city", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "city")]
    public string City { get; set; }

    /// <summary>
    /// Customer State / Province / Region
    /// </summary>
    /// <value>Customer State / Province / Region</value>
    [DataMember(Name="state", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "state")]
    public string State { get; set; }

    /// <summary>
    /// Customer Country
    /// </summary>
    /// <value>Customer Country</value>
    [DataMember(Name="country", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "country")]
    public string Country { get; set; }

    /// <summary>
    /// Customer Language
    /// </summary>
    /// <value>Customer Language</value>
    [DataMember(Name="language", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "language")]
    public string Language { get; set; }

    /// <summary>
    /// Additional Customer Notes
    /// </summary>
    /// <value>Additional Customer Notes</value>
    [DataMember(Name="notes", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "notes")]
    public string Notes { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class Customer {\n");
      sb.Append("  CustomerID: ").Append(CustomerID).Append("\n");
      sb.Append("  Companyid: ").Append(Companyid).Append("\n");
      sb.Append("  Firstname: ").Append(Firstname).Append("\n");
      sb.Append("  Lastname: ").Append(Lastname).Append("\n");
      sb.Append("  Mobile: ").Append(Mobile).Append("\n");
      sb.Append("  Email: ").Append(Email).Append("\n");
      sb.Append("  EmailStatus: ").Append(EmailStatus).Append("\n");
      sb.Append("  IsFreeEmail: ").Append(IsFreeEmail).Append("\n");
      sb.Append("  IsTypoFixed: ").Append(IsTypoFixed).Append("\n");
      sb.Append("  Address: ").Append(Address).Append("\n");
      sb.Append("  Zipcode: ").Append(Zipcode).Append("\n");
      sb.Append("  City: ").Append(City).Append("\n");
      sb.Append("  State: ").Append(State).Append("\n");
      sb.Append("  Country: ").Append(Country).Append("\n");
      sb.Append("  Language: ").Append(Language).Append("\n");
      sb.Append("  Notes: ").Append(Notes).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
